package com.liangjian.dataplatform.member.entity.po.secondary;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.util.Date;


@Entity
@Table(name = "mem_ingProductLog")
public class MemIngProductLog {

    @Id
    @Column(name = "logId")
    private String logId;

    @Column(name="MemberId")
    private String memberId;

    @Column(name="MemberName")
    private String memberName;

    @Column(name="logCode")
    private String logCode;

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Column(name="CreationDate")
    private Date creationDate;

    @Column(name="[key]")
    private String key;

    @Column(name="[Text]",nullable = false)
    private String text;

    @Column(name="[Value]")
    private String value;

    public String getLogId() {
        return logId;
    }

    public void setLogId(String logId) {
        this.logId = logId;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public String getLogCode() {
        return logCode;
    }

    public void setLogCode(String logCode) {
        this.logCode = logCode;
    }

    public Date getCreationDate() {
        return creationDate;
    }

    public void setCreationDate(Date creationDate) {
        this.creationDate = creationDate;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }
}
